﻿import React from "react";
import ReactDOM from "react-dom";
import "@grapecity/activereports/styles/ar-js-ui.css";
import "@grapecity/activereports/styles/ar-js-viewer.css";
import { Viewer } from "@grapecity/activereports-react";
import "@grapecity/activereports/pdfexport";
import "@grapecity/activereports/htmlexport";
import "@grapecity/activereports/tabulardataexport";

const exportsSettings = {
  pdf: {
    title: "ActiveReportsJS Sample",
    author: "GrapeCity",
    subject: "Web Reporting",
    keywords: "reporting, sample",
    userPassword: "pwd",
    ownerPassword: "ownerPwd",
    printing: "none",
    copying: false,
    modifying: false,
    annotating: false,
    contentAccessibility: false,
    documentAssembly: false,
    pdfVersion: "1.7",
    autoPrint: true,
    filename: "ActiveReportsJS-Sample.pdf",
  },
  html: {
    title: "ActiveReportsJS Sample",
    filename: "ActiveReportsJS-Sample.html",
    autoPrint: true,
    multiPage: true,
    embedImages: "external",
    outputType: "html",
  },
};

const availableExports = ["pdf", "html", "tabular-data"];

function App() {
  
  return (
    <div>
      <div>
        <button onClick={()=>{ exportToPdf()}}>Export</button>
      </div>
      <div id="viewer-host">
        <Viewer
          report={{
            Uri: "Frontstore.rdlx-json",
          }}
          exportsSettings={exportsSettings}
          availableExports={availableExports}
        />
      </div>
      </div>
  );
}

ReactDOM.render(<App />, document.getElementById("root"));
